import * as $dara from '@darabonba/typescript';
import { PurchaseReservedInstancesOfferingResponseBody } from "./PurchaseReservedInstancesOfferingResponseBody";
export declare class PurchaseReservedInstancesOfferingResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: PurchaseReservedInstancesOfferingResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
